testing::internal::FlatTuple< T > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::FlatTuple< T >:

## Public Member Functions

| FlatTuple ()=default
| FlatTuple (T... t)
template<size_t I>
const ElemFromList< I, Indices, T... >::type & | Get () const
template<size_t I>
ElemFromList< I, Indices, T... >::type & | Get ()

## Detailed Description

### template<typename... T>
class testing::internal::FlatTuple< T >

Definition at line 7693 of file gtest.h.

## Constructor & Destructor Documentation

## FlatTuple() [1/2]

template<typename... T>

testing::internal::FlatTuple< T >::FlatTuple | ( |  | ) |

default

## FlatTuple() [2/2]

template<typename... T>

testing::internal::FlatTuple< T >::FlatTuple | ( | T... | t | ) |

inlineexplicit

Definition at line 7737 of file gtest.h.

## Member Function Documentation

## Get() [1/2]

template<typename... T>
template<size_t I>

const ElemFromList<I, Indices, T...>::type& testing::internal::FlatTuple< T >::Get | ( |  | ) | const

inline

Definition at line 7740 of file gtest.h.

## Get() [2/2]

template<typename... T>
template<size_t I>

ElemFromList<I, Indices, T...>::type& testing::internal::FlatTuple< T >::Get | ( |  | ) |

inline

Definition at line 7745 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h